Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.client
Class SandeshaClient

    java.lang.Object
      org.apache.sandesha2.client.SandeshaClient

    public class SandeshaClient

extends java.lang.Object

Contains all the Sandesha2Constants of Sandesha2. Please see sub-interfaces to see grouped data.

Constructor Summary
`SandeshaClient()`

Method Summary
`static void` | `closeSequence(org.apache.axis2.client.ServiceClient serviceClient)` User can close the sequence defined by the passed serviceClient.
`static void` | `closeSequence(org.apache.axis2.client.ServiceClient serviceClient, java.lang.String sequenceKey)`
`static java.lang.String` | `createSequence(org.apache.axis2.client.ServiceClient serviceClient, boolean offer)` Clients can use this to create a sequence sequence.
`static void` | `createSequence(org.apache.axis2.client.ServiceClient serviceClient, boolean offer, java.lang.String sequenceKey)` This could be used to create sequences with a given sequence key.
`static void` | `createSequnce(org.apache.axis2.client.ServiceClient serviceClient, boolean offer, java.lang.String sequenceKey)` Deprecated.
`static void` | `forceDispatchOfInboundMessages(org.apache.axis2.context.ConfigurationContext configContext, java.lang.String sequenceID, boolean allowLaterDeliveryOfMissingMessages)` Forces any inbound messages currently on the specified inOrder inbound sequence to be dispatched out of order.
`static SequenceReport` | `getIncomingSequenceReport(java.lang.String sequenceID, org.apache.axis2.context.ConfigurationContext configCtx)`
`static java.util.List<SequenceReport>` | `getIncomingSequenceReports(org.apache.axis2.context.ConfigurationContext configCtx)` Users can get a list of sequenceReports each describing a incoming sequence, which are the sequences the client work as a RMD.
`static java.lang.Exception` | `getLastSendError(org.apache.axis2.client.ServiceClient serviceClient)` Gets the last error that occured on a send to an endpoint.
`static long` | `getLastSendErrorTimestamp(org.apache.axis2.client.ServiceClient serviceClient)` Gets the timestamp from which the last error that occured on a send to an endpoint.
`static SequenceReport` | `getOutgoingSequenceReport(org.apache.axis2.client.ServiceClient serviceClient)` Users can get a SequenceReport of the sequence defined by the information given from the passed serviceClient object.
`static SequenceReport` | `getOutgoingSequenceReport(java.lang.String internalSequenceID, org.apache.axis2.context.ConfigurationContext configurationContext)`
`static SequenceReport` | `getOutgoingSequenceReport(java.lang.String internalSequenceID, org.apache.axis2.context.ConfigurationContext configurationContext, boolean createTransaction)`
`static SequenceReport` | `getOutgoingSequenceReport(java.lang.String to, java.lang.String sequenceKey, org.apache.axis2.context.ConfigurationContext configurationContext)`
`static SandeshaReport` | `getSandeshaReport(org.apache.axis2.context.ConfigurationContext configurationContext)` SandeshaReport gives the details of all incoming and outgoing sequences.
`static java.lang.String` | `getSequenceID(org.apache.axis2.client.ServiceClient serviceClient)`
`static void` | `sendAckRequest(org.apache.axis2.client.ServiceClient serviceClient)`
`static void` | `sendAckRequest(org.apache.axis2.client.ServiceClient serviceClient, java.lang.String sequenceKey)`
`static void` | `setPolicyBean(org.apache.axis2.client.ServiceClient serviceClient, SandeshaPolicyBean policyBean)`
`static void` | `terminateSequence(org.apache.axis2.client.ServiceClient serviceClient)` User can terminate the sequence defined by the passed serviceClient.
`static void` | `terminateSequence(org.apache.axis2.client.ServiceClient serviceClient, java.lang.String sequenceKey)`
`static void` | `waitUntilSequenceCompleted(org.apache.axis2.client.ServiceClient serviceClient)` This blocks the system until the messages u have sent hv been completed.
`static void` | `waitUntilSequenceCompleted(org.apache.axis2.client.ServiceClient serviceClient, long maxWaitingTime)` This blocks the system until the messages u have sent hv been completed or until the given time interval exceeds.
`static void` | `waitUntilSequenceCompleted(org.apache.axis2.client.ServiceClient serviceClient, long maxWaitingTime, java.lang.String sequenceKey)`
`static void` | `waitUntilSequenceCompleted(org.apache.axis2.client.ServiceClient serviceClient, java.lang.String sequenceKey)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SandeshaClient

    public SandeshaClient()

Method Detail

### getOutgoingSequenceReport

    public static SequenceReport getOutgoingSequenceReport(org.apache.axis2.client.ServiceClient serviceClient)
                                                    throws SandeshaException

  Users can get a SequenceReport of the sequence defined by the information given from the passed serviceClient object.

  Parameters:
    `serviceClient` -
  Returns:
  Throws:
    `SandeshaException`

### getOutgoingSequenceReport

    public static SequenceReport getOutgoingSequenceReport(java.lang.String to,
                                                           java.lang.String sequenceKey,
                                                           org.apache.axis2.context.ConfigurationContext configurationContext)
                                                    throws SandeshaException

  Throws:
    `SandeshaException`

### getOutgoingSequenceReport

    public static SequenceReport getOutgoingSequenceReport(java.lang.String internalSequenceID,
                                                           org.apache.axis2.context.ConfigurationContext configurationContext)
                                                    throws SandeshaException

  Throws:
    `SandeshaException`

### getOutgoingSequenceReport

    public static SequenceReport getOutgoingSequenceReport(java.lang.String internalSequenceID,
                                                           org.apache.axis2.context.ConfigurationContext configurationContext,
                                                           boolean createTransaction)
                                                    throws SandeshaException

  Throws:
    `SandeshaException`

### getIncomingSequenceReports

    public static java.util.List<SequenceReport> getIncomingSequenceReports(org.apache.axis2.context.ConfigurationContext configCtx)
                                                                     throws SandeshaException

  Users can get a list of sequenceReports each describing a incoming sequence, which are the sequences the client work as a RMD.

  Parameters:
    `configCtx` -
  Returns:
  Throws:
    `SandeshaException`

### getSandeshaReport

    public static SandeshaReport getSandeshaReport(org.apache.axis2.context.ConfigurationContext configurationContext)
                                            throws SandeshaException

  SandeshaReport gives the details of all incoming and outgoing sequences. The outgoing sequence have to pass the initial state (CS/CSR exchange) to be included in a SandeshaReport

  Parameters:
    `configurationContext` -
  Returns:
  Throws:
    `SandeshaException`

### createSequence

    public static void createSequence(org.apache.axis2.client.ServiceClient serviceClient,
                                      boolean offer,
                                      java.lang.String sequenceKey)
                               throws SandeshaException

  This could be used to create sequences with a given sequence key.

  Parameters:
    `serviceClient` - - A configured ServiceClient to be used to invoke RM messages. This need to have Sandesha2 engaged.
    `offer` - - Weather a sequence should be offered for obtaining response messages.
    `sequenceKey` - The sequenceKey of the newly generated sequence.
  Throws:
    `SandeshaException`

### createSequence

    public static java.lang.String createSequence(org.apache.axis2.client.ServiceClient serviceClient,
                                                  boolean offer)
                                           throws SandeshaException

  Clients can use this to create a sequence sequence.

  Parameters:
    `serviceClient` - - A configured ServiceClient to be used to invoke RM messages. This need to have Sandesha2 engaged.
    `offer` - - Weather a sequence should be offered for obtaining response messages.
  Returns:
    The sequenceKey of the newly generated sequence.
  Throws:
    `SandeshaException`

### createSequnce

    public static void createSequnce(org.apache.axis2.client.ServiceClient serviceClient,
                                     boolean offer,
                                     java.lang.String sequenceKey)
                              throws SandeshaException

  Deprecated.

  User can terminate the sequence defined by the passed serviceClient.

  Throws:
    `SandeshaException`

### terminateSequence

    public static void terminateSequence(org.apache.axis2.client.ServiceClient serviceClient)
                                  throws SandeshaException

  User can terminate the sequence defined by the passed serviceClient.

  Parameters:
    `serviceClient` -
  Throws:
    `SandeshaException`

### terminateSequence

    public static void terminateSequence(org.apache.axis2.client.ServiceClient serviceClient,
                                         java.lang.String sequenceKey)
                                  throws SandeshaException

  Throws:
    `SandeshaException`

### closeSequence

    public static void closeSequence(org.apache.axis2.client.ServiceClient serviceClient)
                              throws SandeshaException

  User can close the sequence defined by the passed serviceClient.

  Parameters:
    `serviceClient` -
  Throws:
    `SandeshaException`

### closeSequence

    public static void closeSequence(org.apache.axis2.client.ServiceClient serviceClient,
                                     java.lang.String sequenceKey)
                              throws SandeshaException

  Throws:
    `SandeshaException`

### waitUntilSequenceCompleted

    public static void waitUntilSequenceCompleted(org.apache.axis2.client.ServiceClient serviceClient)
                                           throws SandeshaException

  This blocks the system until the messages u have sent hv been completed.

  Parameters:
    `serviceClient` -
  Throws:
    `SandeshaException`

### waitUntilSequenceCompleted

    public static void waitUntilSequenceCompleted(org.apache.axis2.client.ServiceClient serviceClient,
                                                  java.lang.String sequenceKey)
                                           throws SandeshaException

  Throws:
    `SandeshaException`

### waitUntilSequenceCompleted

    public static void waitUntilSequenceCompleted(org.apache.axis2.client.ServiceClient serviceClient,
                                                  long maxWaitingTime)
                                           throws SandeshaException

  This blocks the system until the messages u have sent hv been completed or until the given time interval exceeds. (the time is taken in seconds)

  Parameters:
    `serviceClient` -
    `maxWaitingTime` -
  Throws:
    `SandeshaException`

### waitUntilSequenceCompleted

    public static void waitUntilSequenceCompleted(org.apache.axis2.client.ServiceClient serviceClient,
                                                  long maxWaitingTime,
                                                  java.lang.String sequenceKey)
                                           throws SandeshaException

  Throws:
    `SandeshaException`

### getSequenceID

    public static java.lang.String getSequenceID(org.apache.axis2.client.ServiceClient serviceClient)
                                          throws SandeshaException

  Throws:
    `SandeshaException`

### sendAckRequest

    public static void sendAckRequest(org.apache.axis2.client.ServiceClient serviceClient)
                               throws SandeshaException

  Throws:
    `SandeshaException`

### sendAckRequest

    public static void sendAckRequest(org.apache.axis2.client.ServiceClient serviceClient,
                                      java.lang.String sequenceKey)
                               throws SandeshaException

  Throws:
    `SandeshaException`

### forceDispatchOfInboundMessages

    public static void forceDispatchOfInboundMessages(org.apache.axis2.context.ConfigurationContext configContext,
                                                      java.lang.String sequenceID,
                                                      boolean allowLaterDeliveryOfMissingMessages)
                                               throws SandeshaException

  Forces any inbound messages currently on the specified inOrder inbound sequence to be dispatched out of order.

  Parameters:
    `configContext` -
    `sequenceID` -
    `allowLaterDeliveryOfMissingMessages` - if true, messages skipped over during this action will be invoked if they arrive on the system at a later time. Otherwise messages skipped over will be ignored
  Throws:
    `SandeshaException`

### getIncomingSequenceReport

    public static SequenceReport getIncomingSequenceReport(java.lang.String sequenceID,
                                                           org.apache.axis2.context.ConfigurationContext configCtx)
                                                    throws SandeshaException

  Throws:
    `SandeshaException`

### getLastSendError

    public static java.lang.Exception getLastSendError(org.apache.axis2.client.ServiceClient serviceClient)
                                                throws SandeshaException

  Gets the last error that occured on a send to an endpoint. The method will return null if no exception has been encountered. Errors may be transient and maybe out of date. To check the validity of the error, check the timestamp from which the error was encountered

  Parameters:
    `serviceClient` -
  Returns:
  Throws:
    `SandeshaException`
  See Also:
    `.`

### getLastSendErrorTimestamp

    public static long getLastSendErrorTimestamp(org.apache.axis2.client.ServiceClient serviceClient)
                                          throws SandeshaException

  Gets the timestamp from which the last error that occured on a send to an endpoint. The method will return -1 if no errors have been encountered.

  Parameters:
    `serviceClient` -
  Returns:
  Throws:
    `SandeshaException`

### setPolicyBean

    public static void setPolicyBean(org.apache.axis2.client.ServiceClient serviceClient,
                                     SandeshaPolicyBean policyBean)
                              throws SandeshaException

  Throws:
    `SandeshaException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.